Skip to main content
GET
/
v5
/
agent_configs
/
{agent_config_id}
Get Agent Config
curl --request GET \
  --url https://api.egp.scale.com/v5/agent_configs/{agent_config_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "system_prompt": "<string>",
  "harness": "<string>",
  "allowed_tools": [
    "<string>"
  ],
  "model": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "object": "agent_config",
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

agent_config_id
string
required

Response

Successful Response

id
string
required
name
string
required
system_prompt
string
required
harness
string
required
allowed_tools
string[]
required
model
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
object
string
default:agent_config
Allowed value: "agent_config"
description
string